Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trans
Class Variable

    java.lang.Object
      net.sf.saxon.trans.Variable

All Implemented Interfaces:
  Binding, VariableDeclaration

public final class Variable
extends java.lang.Object
implements VariableDeclaration, Binding

An object representing an XPath variable for use in the standalone XPath API. The object can only be created by calling the declareVariable method of class StandaloneContext.

Method Summary
`ValueRepresentation` | `evaluateVariable(XPathContext context)` Get the value of the variable.
`int` | `getNameCode()` Establish the fingerprint of the name of this variable.
`java.lang.String` | `getVariableName()` Get the name of the variable.
`boolean` | `isGlobal()` Indicate whether the binding is local or global.
`static Variable` | `make(java.lang.String name, Configuration config)` Protected factory method, for use by the declareVariable method of class StandaloneContext
`void` | `registerReference(BindingReference ref)` Method called by the XPath expression parser to register a reference to this variable.
`void` | `setValue(java.lang.Object value)` Assign a value to the variable.
`void` | `setXPathValue(ValueRepresentation value)` Assign a value to the variable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### make

    public static Variable make(java.lang.String name,
                                Configuration config)

  Protected factory method, for use by the declareVariable method of class StandaloneContext

### isGlobal

    public boolean isGlobal()

  Indicate whether the binding is local or global. A global binding is one that has a fixed value for the life of a query or transformation; any other binding is local.

  Specified by:
    `isGlobal` in interface `Binding`

### getVariableName

    public java.lang.String getVariableName()

  Get the name of the variable. Used for diagnostic purposes only.

  Specified by:
    `getVariableName` in interface `VariableDeclaration`
  Returns:
    the name of the variable, as a string (containing the raw QName)

### getNameCode

    public int getNameCode()

  Establish the fingerprint of the name of this variable. Dummy implementation, not used.

  Specified by:
    `getNameCode` in interface `VariableDeclaration`
  Returns:
    -1, always

### setValue

    public void setValue(java.lang.Object value)
                  throws XPathException

  Assign a value to the variable. This value may be changed between successive evaluations of a compiled XPath expression that references the variable.

  Parameters:
    `value` - the value of the variable
  Throws:
    `XPathException` - if the Java value cannot be converted to an XPath type

### setXPathValue

    public void setXPathValue(ValueRepresentation value)

  Assign a value to the variable. This value may be changed between successive evaluations of a compiled XPath expression that references the variable.

  Parameters:
    `value` - the value of the variable, which must be an instance of a class representing a value in the XPath model.

### registerReference

    public void registerReference(BindingReference ref)

  Method called by the XPath expression parser to register a reference to this variable. This method should not be called by users of the API.

  Specified by:
    `registerReference` in interface `VariableDeclaration`

### evaluateVariable

    public ValueRepresentation evaluateVariable(XPathContext context)

  Get the value of the variable. This method is used by the XPath execution engine to retrieve the value.

  Specified by:
    `evaluateVariable` in interface `Binding`
  Parameters:
    `context` - The dynamic evaluation context
  Returns:
    The value of the variable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD